%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

# this is actually a noarch package, but put in sitearch
# to go with the other bzr plugins
%global debug_package %{nil}

Name:           qbzr
Version:        0.20.3
Release:        1%{?dist}
Summary:        Bazaar plugin for Qt interface to most Bazaar operations

Group:          Development/Tools
License:        GPLv2+
URL:            http://wiki.bazaar-vcs.org/QBzr
Source0:        http://launchpad.net/qbzr/0.20/%{version}/+download/qbzr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python2-devel
BuildRequires: python-docutils
BuildRequires: dos2unix
BuildRequires: gettext
# for testing
BuildRequires: bzr
BuildRequires: python-testtools
BuildRequires: Xvfb xauth
#############
Requires: bzr >= 2.1.0
Requires: PyQt4 >= 4.4
Requires: python-pygments
Requires: python-enchant

%description
QBzr provides GUI frontends for many core bzr commands and several dialogs and
helper commands. Equivalents for core bzr commands have the same names as the
CLI commands but prefixed with "q".  The QBzr dialogs can also be used by other
programs looking to implement a GUI interface for bzr.

%prep
%setup -q -n %{name}

sed -i '1d' lib/uifactory.py

cd docs
dos2unix -k exception_reporting.txt index.txt gettext_usage.txt \
    slot-signal-mini-tutorial/slot-signal-mini-tutorial.txt

%build
%{__python} setup.py build
cd docs
make

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

rm %{buildroot}%{python_sitelib}/bzrlib/plugins/qbzr/*.txt

if test x"%{python_sitelib}" != x"%{python_sitearch}" ; then
  # move to python_sitearch with all other bzr plugins
  mkdir -p %{buildroot}%{python_sitearch}
  mv %{buildroot}%{python_sitelib}/* %{buildroot}%{python_sitearch}/
fi

# Move locale files to localedir
mkdir -p %{buildroot}%{_datadir}
mv %{buildroot}%{python_sitearch}/bzrlib/plugins/qbzr/locale %{buildroot}%{_datadir}

%find_lang qbzr

%clean
rm -rf %{buildroot}

%check
# Workaround because bzr selftest can only test
# modules in PYTHONPATH, and bzrlib.plugins.qbzr
# shadows bzrlib and bzrlib.plugins from sitearch
export PYTHONPATH=%{buildroot}%{python_sitearch}
pushd %{buildroot}%{python_sitearch}/bzrlib
# move real plugins out of the way first
mv plugins .plugins
ln -s %{python_sitearch}/bzrlib/* .
rm plugins
mv .plugins plugins
cd plugins
ln -s %{python_sitearch}/bzrlib/plugins/__init__.py .
popd
xvfb-run -a -w 1 make test
# clean up left-over links
pushd %{buildroot}%{python_sitearch}/bzrlib
mv plugins .plugins
rm *
mv .plugins plugins
rm plugins/__init__.py*
popd

%files -f qbzr.lang
%defattr(-,root,root,-)
%doc AUTHORS.txt COPYING.txt NEWS.txt docs
%if 0%{?fedora} || 0%{?rhel} > 5
%{python_sitearch}/*egg-info
%endif
%{python_sitearch}/bzrlib/plugins/qbzr/


%changelog
* Wed Dec 7 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.20.3-1
- Upstream bugfix

* Thu Apr 28 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.20.1-1
- Minor upstream bugfix release 0.20.1.
- Move egg-info to sitearch along with the plugin code

* Thu Apr  7 2011 Michel Salim <salimma@fedoraproject.org> - 0.20.0-1
- Update to 0.20.0
- Move to %%{python_sitearch} with other bzr plugins
- Enable test suite

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 6 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 0.19.3-1
- 0.19.3 bugfix release

* Sat Sep 25 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.19.2-1
- 0.19.2 bugfix release

* Fri Sep 3 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.19-1
- Update to 0.19 final

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.19-0.4.b2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 6 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.19-0.3.b2
- Update to beta and drop our patches which have been merged upstream

* Wed Jun 9 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.19-0.2.b1
- Bring in a patch from 0.19 trunk that forward ports bugfixes from the 0.18
  branch

* Mon Apr 12 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.19-0.1.b1
- Update to 0.19 releases which are compat with bzr-2.1+

* Sun Apr 11 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.5-1
- Upstream update

* Tue Apr 5 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.4-2
- bzr-2.x will find the plugins in sitelib

* Thu Mar 25 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.4-1
- Update to 0.18.4

* Sun Mar 21 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.3-3
- Add explanation of python_sitearch need for bz#575332

* Sat Mar 20 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.3-2
- Fix comments from review ticket bz#575332

* Fri Mar 19 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 0.18.3-1
- Initial Fedora build
